研究及帶來源簡報
讀取私人研究對話
由對話建立者讀取自己的研究對話及未核實引用回答,內容最多提供 24 小時;每次會重新核對目前身份及所選來源權限,已過期或失去授權的內容會遮蔽。
POST /research-api/conversations/getContract 核對日期: · sha256:ab393e91e9b7f18a
概覽
由對話建立者讀取自己的研究對話及未核實引用回答,內容最多提供 24 小時;每次會重新核對目前身份及所選來源權限,已過期或失去授權的內容會遮蔽。
HTTP 成功只表示本次操作的回應。背景工作須保留回傳 ID,並讀取同一操作,直至達到文件指定的終態。接受請求、排程成功或客戶端逾時,均不代表已發佈。
驗證及權限
憑證不能擴大持有人的權限。實際操作仍會檢查工作空間成員資格、資源擁有權、已選工作空間及能力授權。Tool profile 只會改變可見工具,不會授予權限。
請求欄位
必填表示在所屬物件及所選分支內必須提供;子欄位必填不代表可選的父物件亦變成必填。以下欄位名稱及規則直接來自 contract。
| 欄位/分支 | 類型/必填 | 限制 |
|---|---|---|
$ | object父物件內必填 |
|
workspace_id | string父物件內必填 |
|
conversation_id | string父物件內必填 |
|
完整 JSON Schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"workspace_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"conversation_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
},
"required": [
"workspace_id",
"conversation_id"
],
"additionalProperties": false
}回應及完成條件
成功 HTTP 狀態碼: 200. 完成依據: current authorized conversation; availability and expiry govern source content.
HTTP 成功只表示本次操作的回應。背景工作須保留回傳 ID,並讀取同一操作,直至達到文件指定的終態。接受請求、排程成功或客戶端逾時,均不代表已發佈。
必填表示在所屬物件及所選分支內必須提供;子欄位必填不代表可選的父物件亦變成必填。以下欄位名稱及規則直接來自 contract。
| 欄位/分支 | 類型/必填 | 限制 |
|---|---|---|
$ | object父物件內必填 | — |
conversation | object父物件內必填 | — |
conversation.id | string父物件內必填 |
|
conversation.workspace_id | string父物件內必填 |
|
conversation.revision | integer父物件內必填 |
|
conversation.title | string | null父物件內必填 | — |
conversation.titleanyOf 1 | string父物件內必填 |
|
conversation.titleanyOf 2 | null父物件內必填 | — |
conversation.context | object父物件內必填 | — |
conversation.context.project_id | string父物件內必填 |
|
conversation.context.project_revision | integer父物件內必填 |
|
conversation.context.corpus_snapshot_id | string父物件內必填 |
|
conversation.context.evidence | array父物件內必填 |
|
conversation.context.evidence[] | object可選/陣列項目 | — |
conversation.context.evidence[].evidence_id | string父物件內必填 |
|
conversation.context.evidence[].revision | integer父物件內必填 |
|
conversation.language | string父物件內必填 |
|
conversation.archived | boolean父物件內必填 | — |
conversation.availability | string父物件內必填 |
|
conversation.created_at | string父物件內必填 |
|
conversation.expires_at | string父物件內必填 |
|
messages | array父物件內必填 |
|
messages[] | object可選/陣列項目 | — |
messages[].id | string父物件內必填 |
|
messages[].run_id | string父物件內必填 |
|
messages[].role | string父物件內必填 |
|
messages[].question | string | null父物件內必填 | — |
messages[].questionanyOf 1 | string父物件內必填 |
|
messages[].questionanyOf 2 | null父物件內必填 | — |
messages[].answer | object | null父物件內必填 | — |
messages[].answeranyOf 1 | object父物件內必填 | — |
messages[].answer.answeranyOf 1 | object父物件內必填 | — |
messages[].answer.answer.statementanyOf 1 | string父物件內必填 |
|
messages[].answer.answer.basisanyOf 1 | string父物件內必填 |
|
messages[].answer.answer.evidenceanyOf 1 | array父物件內必填 |
|
messages[].answer.answer.evidence[]anyOf 1 | object可選/陣列項目 | — |
messages[].answer.answer.evidence[].evidence_idanyOf 1 | string父物件內必填 |
|
messages[].answer.answer.evidence[].revisionanyOf 1 | integer父物件內必填 |
|
messages[].answer.answer.uncertaintyanyOf 1 | string父物件內必填 |
|
messages[].answer.findingsanyOf 1 | array父物件內必填 |
|
messages[].answer.findings[]anyOf 1 | object可選/陣列項目 | — |
messages[].answer.findings[].statementanyOf 1 | string父物件內必填 |
|
messages[].answer.findings[].basisanyOf 1 | string父物件內必填 |
|
messages[].answer.findings[].evidenceanyOf 1 | array父物件內必填 |
|
messages[].answer.findings[].evidence[]anyOf 1 | object可選/陣列項目 | — |
messages[].answer.findings[].evidence[].evidence_idanyOf 1 | string父物件內必填 |
|
messages[].answer.findings[].evidence[].revisionanyOf 1 | integer父物件內必填 |
|
messages[].answer.findings[].uncertaintyanyOf 1 | string父物件內必填 |
|
messages[].answer.sentimentanyOf 1 | array父物件內必填 |
|
messages[].answer.sentiment[]anyOf 1 | object可選/陣列項目 | — |
messages[].answer.sentiment[].evidence_idanyOf 1 | string父物件內必填 |
|
messages[].answer.sentiment[].revisionanyOf 1 | integer父物件內必填 |
|
messages[].answer.sentiment[].labelanyOf 1 | string父物件內必填 |
|
messages[].answer.sentiment[].uncertaintyanyOf 1 | string父物件內必填 |
|
messages[].answer.query_suggestionsanyOf 1 | array父物件內必填 |
|
messages[].answer.query_suggestions[]anyOf 1 | object可選/陣列項目 | — |
messages[].answer.query_suggestions[].queryanyOf 1 | string父物件內必填 |
|
messages[].answer.query_suggestions[].excluded_termsanyOf 1 | array父物件內必填 |
|
messages[].answer.query_suggestions[].excluded_terms[]anyOf 1 | string可選/陣列項目 |
|
messages[].answer.query_suggestions[].evidenceanyOf 1 | array父物件內必填 |
|
messages[].answer.query_suggestions[].evidence[]anyOf 1 | object可選/陣列項目 | — |
messages[].answer.query_suggestions[].evidence[].evidence_idanyOf 1 | string父物件內必填 |
|
messages[].answer.query_suggestions[].evidence[].revisionanyOf 1 | integer父物件內必填 |
|
messages[].answer.query_suggestions[].rationaleanyOf 1 | string父物件內必填 |
|
messages[].answer.limitationsanyOf 1 | array父物件內必填 |
|
messages[].answer.limitations[]anyOf 1 | string可選/陣列項目 |
|
messages[].answer.quantitative_claimsanyOf 1 | boolean父物件內必填 |
|
messages[].answer.method_versionanyOf 1 | string父物件內必填 |
|
messages[].answeranyOf 2 | null父物件內必填 | — |
messages[].created_at | string父物件內必填 |
|
messages[].expires_at | string父物件內必填 |
|
runs | array父物件內必填 |
|
runs[] | object可選/陣列項目 | — |
runs[].id | string父物件內必填 |
|
runs[].workspace_id | string父物件內必填 |
|
runs[].conversation_id | string父物件內必填 |
|
runs[].conversation_revision | integer父物件內必填 |
|
runs[].generation | integer父物件內必填 |
|
runs[].request_kind | string父物件內必填 |
|
runs[].status | string父物件內必填 |
|
runs[].failure_code | string | null父物件內必填 | — |
runs[].failure_codeanyOf 1 | string父物件內必填 |
|
runs[].failure_codeanyOf 2 | null父物件內必填 | — |
runs[].created_at | string父物件內必填 |
|
runs[].expires_at | string父物件內必填 |
|
runs[].processor | string父物件內必填 |
|
runs[].model_id | string | null父物件內必填 | — |
runs[].model_idanyOf 1 | string父物件內必填 |
|
runs[].model_idanyOf 2 | null父物件內必填 | — |
runs[].model_version | string | null父物件內必填 | — |
runs[].model_versionanyOf 1 | string父物件內必填 |
|
runs[].model_versionanyOf 2 | null父物件內必填 | — |
availability | object父物件內必填 | — |
availability.configured | boolean父物件內必填 | — |
availability.reason | string | null父物件內必填 | — |
availability.reasonanyOf 1 | string父物件內必填 |
|
availability.reasonanyOf 2 | null父物件內必填 | — |
availability.processor | string父物件內必填 |
|
availability.retention_hours | number父物件內必填 |
|
完整 JSON Schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"conversation": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"workspace_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"title": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 200
},
{
"type": "null"
}
]
},
"context": {
"type": "object",
"properties": {
"project_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"project_revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"corpus_snapshot_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"evidence": {
"minItems": 1,
"maxItems": 20,
"type": "array",
"items": {
"type": "object",
"properties": {
"evidence_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
}
},
"required": [
"evidence_id",
"revision"
]
}
}
},
"required": [
"project_id",
"project_revision",
"corpus_snapshot_id",
"evidence"
]
},
"language": {
"type": "string",
"minLength": 1,
"maxLength": 35
},
"archived": {
"type": "boolean"
},
"availability": {
"type": "string",
"enum": [
"available",
"expired",
"source_unavailable",
"access_changed",
"archived"
]
},
"created_at": {
"type": "string",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
"format": "date-time"
},
"expires_at": {
"type": "string",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
"format": "date-time"
}
},
"required": [
"id",
"workspace_id",
"revision",
"title",
"context",
"language",
"archived",
"availability",
"created_at",
"expires_at"
]
},
"messages": {
"maxItems": 40,
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"run_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"role": {
"type": "string",
"enum": [
"user",
"assistant"
]
},
"question": {
"anyOf": [
{
"type": "string",
"maxLength": 2000
},
{
"type": "null"
}
]
},
"answer": {
"anyOf": [
{
"type": "object",
"properties": {
"answer": {
"type": "object",
"properties": {
"statement": {
"type": "string",
"minLength": 1,
"maxLength": 2000
},
"basis": {
"type": "string",
"enum": [
"observed",
"inferred",
"generated"
]
},
"evidence": {
"minItems": 1,
"maxItems": 20,
"type": "array",
"items": {
"type": "object",
"properties": {
"evidence_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
}
},
"required": [
"evidence_id",
"revision"
]
}
},
"uncertainty": {
"type": "string",
"maxLength": 1000
}
},
"required": [
"statement",
"basis",
"evidence",
"uncertainty"
]
},
"findings": {
"maxItems": 12,
"type": "array",
"items": {
"type": "object",
"properties": {
"statement": {
"type": "string",
"minLength": 1,
"maxLength": 2000
},
"basis": {
"type": "string",
"enum": [
"observed",
"inferred",
"generated"
]
},
"evidence": {
"minItems": 1,
"maxItems": 20,
"type": "array",
"items": {
"type": "object",
"properties": {
"evidence_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
}
},
"required": [
"evidence_id",
"revision"
]
}
},
"uncertainty": {
"type": "string",
"maxLength": 1000
}
},
"required": [
"statement",
"basis",
"evidence",
"uncertainty"
]
}
},
"sentiment": {
"maxItems": 20,
"type": "array",
"items": {
"type": "object",
"properties": {
"evidence_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"label": {
"type": "string",
"enum": [
"positive",
"negative",
"neutral",
"mixed",
"unknown"
]
},
"uncertainty": {
"type": "string",
"maxLength": 1000
}
},
"required": [
"evidence_id",
"revision",
"label",
"uncertainty"
]
}
},
"query_suggestions": {
"maxItems": 5,
"type": "array",
"items": {
"type": "object",
"properties": {
"query": {
"type": "string",
"minLength": 1,
"maxLength": 2000
},
"excluded_terms": {
"maxItems": 20,
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 100
}
},
"evidence": {
"minItems": 1,
"maxItems": 20,
"type": "array",
"items": {
"type": "object",
"properties": {
"evidence_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
}
},
"required": [
"evidence_id",
"revision"
]
}
},
"rationale": {
"type": "string",
"minLength": 1,
"maxLength": 1000
}
},
"required": [
"query",
"excluded_terms",
"evidence",
"rationale"
]
}
},
"limitations": {
"minItems": 1,
"maxItems": 10,
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 1000
}
},
"quantitative_claims": {
"type": "boolean",
"const": false
},
"method_version": {
"type": "string",
"const": "research-cited/v1"
}
},
"required": [
"answer",
"findings",
"sentiment",
"query_suggestions",
"limitations",
"quantitative_claims",
"method_version"
]
},
{
"type": "null"
}
]
},
"created_at": {
"type": "string",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
"format": "date-time"
},
"expires_at": {
"type": "string",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
"format": "date-time"
}
},
"required": [
"id",
"run_id",
"role",
"question",
"answer",
"created_at",
"expires_at"
]
}
},
"runs": {
"maxItems": 20,
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"workspace_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"conversation_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"conversation_revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"generation": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"request_kind": {
"type": "string",
"enum": [
"question",
"overview",
"themes",
"audiences",
"sentiment",
"query_suggestions"
]
},
"status": {
"type": "string",
"enum": [
"queued",
"processing",
"completed",
"failed",
"cancelled",
"expired",
"unavailable"
]
},
"failure_code": {
"anyOf": [
{
"type": "string",
"enum": [
"not_configured",
"budget_exhausted",
"access_changed",
"source_unavailable",
"context_changed",
"input_too_large",
"provider_unavailable",
"generation_unconfirmed",
"invalid_output",
"cancelled",
"expired",
"conversation_full"
]
},
{
"type": "null"
}
]
},
"created_at": {
"type": "string",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
"format": "date-time"
},
"expires_at": {
"type": "string",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
"format": "date-time"
},
"processor": {
"type": "string",
"const": "Google Gemini"
},
"model_id": {
"anyOf": [
{
"type": "string",
"maxLength": 128
},
{
"type": "null"
}
]
},
"model_version": {
"anyOf": [
{
"type": "string",
"maxLength": 128
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"workspace_id",
"conversation_id",
"conversation_revision",
"generation",
"request_kind",
"status",
"failure_code",
"created_at",
"expires_at",
"processor",
"model_id",
"model_version"
]
}
},
"availability": {
"type": "object",
"properties": {
"configured": {
"type": "boolean"
},
"reason": {
"anyOf": [
{
"type": "string",
"enum": [
"not_configured",
"budget_exhausted",
"access_changed",
"source_unavailable",
"context_changed",
"input_too_large",
"provider_unavailable",
"generation_unconfirmed",
"invalid_output",
"cancelled",
"expired",
"conversation_full"
]
},
{
"type": "null"
}
]
},
"processor": {
"type": "string",
"const": "Google Gemini"
},
"retention_hours": {
"type": "number",
"const": 24
}
},
"required": [
"configured",
"reason",
"processor",
"retention_hours"
]
}
},
"required": [
"conversation",
"messages",
"runs",
"availability"
]
}錯誤及安全重試
請檢查 HTTP 狀態及實際回應格式。400 驗證錯誤可能回傳 ZodError;handler 錯誤可能採用 error/message/code envelope。請保留可用的 request_id 或 x-request-id,避免記錄憑證。遇到 401/403 時,須先修正存取問題;429 須遵守 Retry-After。寫入結果未明或回傳 5xx 時,請先讀取原有結果,再決定是否重試。只有操作支援時才可重用 idempotency key;並無通用重試或 exactly-once 保證。
問題排解指南範例
以下虛構值已按 contract 驗證,並非真實帳戶 ID、憑證或發佈紀錄。請以已授權範圍回傳的 ID、已準備完成的素材及已審核排程取代,並在寫入前核對平台資格。此頁不會呼叫 API。
在伺服器環境設定 SOSOAPI_ACCESS_TOKEN,使用此操作接受的憑證。請勿將憑證放入瀏覽器程式。一般 AI Agent 建議透過 sosoapi auth login 使用瀏覽器 OAuth,由 CLI 管理憑證更新。
request.json
{
"workspace_id": "11111111-1111-4111-8111-111111111111",
"conversation_id": "11111111-1111-4111-8111-111111111111"
}cURL
curl --request POST \
"https://gqeshlawtcexsapabaui.supabase.co/functions/v1/research-api/conversations/get" \
-H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
--data-binary @request.jsonJavaScript
// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/research-api/conversations/get", {
method: "POST",
headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
body: JSON.stringify({
"workspace_id": "11111111-1111-4111-8111-111111111111",
"conversation_id": "11111111-1111-4111-8111-111111111111"
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.CLI
npx sosoapi api post /research-api/conversations/get < request.json虛構回應範例
{
"conversation": {
"id": "11111111-1111-4111-8111-111111111111",
"workspace_id": "11111111-1111-4111-8111-111111111111",
"revision": 1,
"title": null,
"context": {
"project_id": "11111111-1111-4111-8111-111111111111",
"project_revision": 1,
"corpus_snapshot_id": "11111111-1111-4111-8111-111111111111",
"evidence": [
{
"evidence_id": "11111111-1111-4111-8111-111111111111",
"revision": 1
}
]
},
"language": "example",
"archived": false,
"availability": "available",
"created_at": "2099-01-15T09:00:00Z",
"expires_at": "2099-01-15T09:00:00Z"
},
"messages": [],
"runs": [],
"availability": {
"configured": false,
"reason": null,
"processor": "Google Gemini",
"retention_hours": 24
}
}